<?php
/**
 * Function include all files in folder
 *
 * @param $path   Directory address
 * @param $ext    array file extension what will include
 * @param $prefix string Class prefix
 */
if ( ! function_exists( 'vi_include_folder' ) ) {
	function vi_include_folder( $path, $prefix = '', $ext = array( 'php' ) ) {

		/*Include all files in payment folder*/
		if ( ! is_array( $ext ) ) {
			$ext = explode( ',', $ext );
			$ext = array_map( 'trim', $ext );
		}
		$sfiles = scandir( $path );
		foreach ( $sfiles as $sfile ) {
			if ( $sfile != '.' && $sfile != '..' ) {
				if ( is_file( $path . "/" . $sfile ) ) {
					$ext_file  = pathinfo( $path . "/" . $sfile );
					$file_name = $ext_file['filename'];
					if ( $ext_file['extension'] ) {
						if ( in_array( $ext_file['extension'], $ext ) ) {
							$class = preg_replace( '/\W/i', '_', $prefix . ucfirst( $file_name ) );

							if ( ! class_exists( $class ) ) {
								require_once $path . $sfile;
								if ( class_exists( $class ) ) {
									new $class;
								}
							}
						}
					}
				}
			}
		}
	}
}

if ( ! function_exists( 'wpb_get_template_part' ) ) {
	function wpb_get_template_part( $slug, $name = '' ) {
		$template = '';

		if ( ! $template && $name && file_exists( VI_WPRODUCTBUILDER_DIR . "templates/{$slug}-{$name}.php" ) ) {
			$template = VI_WPRODUCTBUILDER_DIR . "templates/{$slug}-{$name}.php";
		}

		// Allow 3rd party plugins to filter template file from their plugin.
		$template = apply_filters( 'wpb_get_template_part', $template, $slug, $name );

		if ( $template ) {
			load_template( $template, false );
		}
	}
}

if ( ! function_exists( 'wpb_get_template' ) ) {
	function wpb_get_template( $template_name, $args = [] ) {
		wc_get_template( $template_name, $args, VI_WOOPB_TEMPLATE_PATH, VI_WPRODUCTBUILDER_TEMPLATES );
	}
}

if ( ! function_exists( 'is_woopb_shortcode' ) ) {
	function is_woopb_shortcode() {
		global $post;
		if ( ! empty( $post->post_type ) && in_array( $post->post_type, array( 'post', 'page' ) ) && has_shortcode( $post->post_content, 'woocommerce_product_builder' ) ) {
			return true;
		}

		return false;
	}
}